# Class Alert

#### Hierarchy

- unknown
  - Alert

- Defined in src/protobuf/pb_pb.d.ts:2295
- Defined in src/protobuf/pb_pb.d.ts:2327

#####
Index

### Constructors

constructor

### Methods

clearExtraDataMap
getExtraDataMap
getIsPreReleaseInfo
getIsUpdateInfo
getMessage
getOwnerPubKeyBytes
getOwnerPubKeyBytes_asB64
getOwnerPubKeyBytes_asU8
getSignatureAsBase64
getVersion
serializeBinary
setIsPreReleaseInfo
setIsUpdateInfo
setMessage
setOwnerPubKeyBytes
setSignatureAsBase64
setVersion
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new Alert(): Alert

- #### Returns Alert

  Inherited from jspb.Message.constructor

## Methods

### clearExtraDataMap

- clearExtraDataMap(): Alert

- #### Returns Alert

  - Defined in src/protobuf/pb_pb.d.ts:2314

### getExtraDataMap

- getExtraDataMap(): Map<string, string>

- #### Returns Map<string, string>

  - Defined in src/protobuf/pb_pb.d.ts:2313

### getIsPreReleaseInfo

- getIsPreReleaseInfo(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:2316

### getIsUpdateInfo

- getIsUpdateInfo(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:2302

### getMessage

- getMessage(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2296

### getOwnerPubKeyBytes

- getOwnerPubKeyBytes(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2308

### getOwnerPubKeyBytes_asB64

- getOwnerPubKeyBytes_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2310

### getOwnerPubKeyBytes_asU8

- getOwnerPubKeyBytes_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2309

### getSignatureAsBase64

- getSignatureAsBase64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2305

### getVersion

- getVersion(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:2299

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:2319

### setIsPreReleaseInfo

- setIsPreReleaseInfo(value: boolean): Alert

- #### Parameters

  - ##### value: boolean

  #### Returns Alert

  - Defined in src/protobuf/pb_pb.d.ts:2317

### setIsUpdateInfo

- setIsUpdateInfo(value: boolean): Alert

- #### Parameters

  - ##### value: boolean

  #### Returns Alert

  - Defined in src/protobuf/pb_pb.d.ts:2303

### setMessage

- setMessage(value: string): Alert

- #### Parameters

  - ##### value: string

  #### Returns Alert

  - Defined in src/protobuf/pb_pb.d.ts:2297

### setOwnerPubKeyBytes

- setOwnerPubKeyBytes(value: string | Uint8Array): Alert

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns Alert

  - Defined in src/protobuf/pb_pb.d.ts:2311

### setSignatureAsBase64

- setSignatureAsBase64(value: string): Alert

- #### Parameters

  - ##### value: string

  #### Returns Alert

  - Defined in src/protobuf/pb_pb.d.ts:2306

### setVersion

- setVersion(value: string): Alert

- #### Parameters

  - ##### value: string

  #### Returns Alert

  - Defined in src/protobuf/pb_pb.d.ts:2300

### toObject

- toObject(includeInstance?: boolean): Alert.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns Alert.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2320

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): Alert

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns Alert

  - Defined in src/protobuf/pb_pb.d.ts:2323

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: Alert, reader: BinaryReader): Alert

- #### Parameters

  - ##### message: Alert

  - ##### reader: BinaryReader

  #### Returns Alert

  - Defined in src/protobuf/pb_pb.d.ts:2324

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: Alert, writer: BinaryWriter): void

- #### Parameters

  - ##### message: Alert

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:2322

### `Static` toObject

- toObject(includeInstance: boolean, msg: Alert): Alert.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: Alert

  #### Returns Alert.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:2321

Generated using TypeDoc